%global with_tests 0%{?_with_tests:1}
Name:           perl-CPAN-Changes
Summary:        Read and write Changes files
Version:        0.400002
Release:        10
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            https://metacpan.org/release/CPAN-Changes
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/CPAN-Changes-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter perl-generators perl(ExtUtils::MakeMaker) perl(Encode) perl(Scalar::Util) 
BuildRequires:  perl(strict) perl(Test::Builder) perl(Text::Wrap) perl(version) >= 0.99.06 perl(warnings)
BuildRequires:  perl(Getopt::Long) perl(Pod::Usage) perl(Test::More) >= 0.96 perl(Moo)
BuildRequires:  perl(Test::Pod) >= 1.00 perl(Test::Pod::Coverage) >= 1.00

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) perl(version) >= 0.99.06

%description
It is standard practice to include a Changes file in your distribution. The purpose of the
Changes file is to help a user figure out what has changed since the last release.

People have devised many ways to write the Changes file. A preliminary specification has been
created (CPAN::Changes::Spec) to encourage module authors to write clear and concise Changes.

This module will help users programmatically read and write Changes files that conform to the specification.

%package help
Summary: Help package for perl-CPAN-Changes

%description help
Help package for perl-CPAN-Changes

%prep
%autosetup -n CPAN-Changes-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
%if %{with_tests}
make test
make test TEST_FILES="$(echo $(find xt/ -name '*.t'))"
%endif

%files
%{_bindir}/tidy_changelog
%{perl_vendorlib}/CPAN/
%{perl_vendorlib}/Test/

%files help
%doc Changes README
%{_mandir}/man1/tidy_changelog.1*
%{_mandir}/man3/{CPAN::Changes.3*,CPAN::Changes::*.3*}
%{_mandir}/man3/Test::CPAN::Changes.3*

%changelog
* Thu Feb 20 2020 chenli <chenli147@huawei.com> - 0.400002-10
- Package init

